# Changelog

All notable changes to this project will be documented in this file.

## [0.5.0] - 2024-05-24

### Bug Fixes

- Use SimpleHttpClient with proxy enabled
- [**breaking**]: Account for baseurl with path in oidc metadata
  - The oidc issuer base URL must be configured with a trailing slash to function properly, this must be checked in existing configurations.
- Post introspection req urlencoded

## [0.4.6] - 2024-05-06

### Features

- Add custom jwt flow

## [0.4.5] - 2024-04-25

### Continuous Integration Pipeline

- Bump pypi publish action

## [0.4.4] - 2024-04-24

### Bug Fixes

- Basic auth utf8

## [0.4.3] - 2024-04-08

### Features

- Refactor http calls to ModuleApi

## [0.4.2] - 2024-01-31

### Bug Fixes

- Fix proxy notation

## [0.4.1] - 2024-01-31

### Bug Fixes

- Ignore system proxy as workaround

## [0.4.0] - 2024-01-10

### Features

- [**breaking**] Add OIDC login flow
  - Previously available config options have been moved under the `jwt` key. See `README.md` for an example.

### Miscellaneous Tasks

- Add github action
- Migrate to github

### Refactoring

- Appease linter
- [**breaking**] Rename the 'require_expiracy' option to 'require_expiry'

## [0.3.2] - 2022-11-24

### Bug Fixes

- Add Requester to set_displayname

### Miscellaneous Tasks

- Bump version and update changelog

## [0.3.1] - 2022-11-24

### Bug Fixes

- Allow properly setting the displayname from the token
- Use ProfileHandler for display name

### Miscellaneous Tasks

- Bump version and update changelog

## [0.3.0] - 2022-11-23

### Bug Fixes

- Use correct method name for display name change

### Features

- Handle displayname claim

## [0.2.0] - 2022-11-22

### Features

- Check chatbox login localpart pattern

### Miscellaneous Tasks

- Bump version and update changelog

## [0.1.1] - 2022-10-04

### Miscellaneous Tasks

- Remove jwcrypto version limit

### Refactoring

- Switch to async await
- Use public ModuleApi methods

## [0.1.0] - 2022-09-21

### Bug Fixes

- Fix bug in test-cases surfaced by update in jwcrypto

### Features

- Handle admin claim in JWT
- Update admin status on login

### Miscellaneous Tasks

- [**breaking**] Rename to synapse_token_authenticator
- Update CODEOWNERS
- Package using hatch
- Reformat code and add job for checking in CI
- Add changelog

<!-- generated by git-cliff -->
